Bug 1128679 - rhel-osp-installer : the Installer crash when attempting to use subscription manager details.
Summary: rhel-osp-installer : the Installer crash when attempting to use subscription ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ga
: Installer
Assignee: Marek Hulan
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1113120
TreeView+ depends on / blocked
 
Reported: 2014-08-11 11:11 UTC by Omri Hochman
Modified: 2014-08-21 18:08 UTC (History)
4 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.2.5-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:08:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Omri Hochman 2014-08-11 11:11:40 UTC
rhel-osp-installer : the Installer crash when attempting to use subscription manager details.

Environment:
rhel-osp-installer-0.1.9-1.el6ost.noarch

Steps:
---------  
(1) Install rhel-osp-installer\
(2) attempt to use  subscription manager details

results: 
the installer crash. 

Installer view :
----------------
Enter your subscription manager credentials:
1. Subscription manager username:       redhatrhos7
2. Subscription manager password:       
3. Comma separated repositories:        rhel-7-server-openstack-5.0-rpms
4. Subscription manager pool (optional): 
5. Subscription manager proxy hostname: 
6. Subscription manager proxy port:     
7. Subscription manager proxy username: 
8. Subscription manager proxy password: 
9. Proceed with configuration
10. Skip this step (provisioning won't subscribe your machines)
2
Password: ************

Enter your subscription manager credentials:
1. Subscription manager username:       redhatrhos7
2. Subscription manager password:       ************
3. Comma separated repositories:        rhel-7-server-openstack-5.0-rpms
4. Subscription manager pool (optional): 
5. Subscription manager proxy hostname: 
6. Subscription manager proxy port:     
7. Subscription manager proxy username: 
8. Subscription manager proxy password: 
9. Proceed with configuration
10. Skip this step (provisioning won't subscribe your machines)
9
/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!': 422 Unprocessable Entity (RestClient::UnprocessableEntity)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/resource.rb:63:in `post'
	from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:79:in `send'
	from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:79:in `http_call'
	from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:62:in `perform_call'
	from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/resources/parameter.rb:54:in `create'
	from /usr/share/foreman-installer/hooks/lib/foreman.rb:73:in `show_or_ensure'
	from /usr/share/foreman-installer/hooks/lib/subscription_seeder.rb:111:in `seed'
	from /usr/share/foreman-installer/hooks/lib/subscription_seeder.rb:79:in `each'
	from /usr/share/foreman-installer/hooks/lib/subscription_seeder.rb:79:in `seed'
	from /usr/share/foreman-installer/hooks/post/10-setup_provisioning.rb:25:in `load'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hook_context.rb:13:in `instance_exec'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hook_context.rb:13:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:48:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:47:in `each_pair'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:47:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:339:in `run_installation'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/exit_handler.rb:24:in `call'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/exit_handler.rb:24:in `exit'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:122:in `exit'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:338:in `run_installation'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:109:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
	from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
	from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:116:in `run'
	from /usr/sbin/rhel-osp-installer:54
[root@staypuft ~]#

production.log:
--------------
Processing by Api::V2::ParametersController#create as JSON
  Parameters: {"parameter"=>{"name"=>"subscription_manager_password", "value"=>"[FILTERED]"}, "apiv"=>"v2", "operatingsystem_id"=>"1"}
Authorized user admin(Admin User)
  Rendered api/v2/parameters/create.json.rabl (1.5ms)
Completed 200 OK in 27ms (Views: 2.2ms | ActiveRecord: 5.9ms)


Started GET "/api/operatingsystems/1/parameters/subscription_manager_repos" for 10.8.29.200 at 2014-08-11 06:55:17 -0400
Processing by Api::V2::ParametersController#show as JSON
  Parameters: {"apiv"=>"v2", "operatingsystem_id"=>"1", "id"=>"subscription_manager_repos", "parameter"=>{}}
Authorized user admin(Admin User)
  Rendered api/v2/errors/not_found.json.rabl within api/v2/layouts/error_layout (2.3ms)
Filter chain halted as :find_parameter rendered or redirected
Completed 404 Not Found in 18ms (Views: 2.8ms | ActiveRecord: 4.0ms)


Started POST "/api/operatingsystems/1/parameters" for 10.8.29.200 at 2014-08-11 06:55:18 -0400
Processing by Api::V2::ParametersController#create as JSON
  Parameters: {"parameter"=>{"name"=>"subscription_manager_repos", "value"=>"[FILTERED]"}, "apiv"=>"v2", "operatingsystem_id"=>"1"}
Authorized user admin(Admin User)
  Rendered api/v2/parameters/create.json.rabl (1.5ms)
Completed 200 OK in 27ms (Views: 2.1ms | ActiveRecord: 6.5ms)


Started GET "/api/operatingsystems/1/parameters/http-proxy" for 10.8.29.200 at 2014-08-11 06:55:18 -0400
Processing by Api::V2::ParametersController#show as JSON
  Parameters: {"apiv"=>"v2", "operatingsystem_id"=>"1", "id"=>"http-proxy", "parameter"=>{}}
Authorized user admin(Admin User)
  Rendered api/v2/errors/not_found.json.rabl within api/v2/layouts/error_layout (2.3ms)
Filter chain halted as :find_parameter rendered or redirected
Completed 404 Not Found in 18ms (Views: 2.8ms | ActiveRecord: 4.0ms)


Started POST "/api/operatingsystems/1/parameters" for 10.8.29.200 at 2014-08-11 06:55:18 -0400
Processing by Api::V2::ParametersController#create as JSON
  Parameters: {"parameter"=>{"name"=>"http-proxy", "value"=>"[FILTERED]"}, "apiv"=>"v2", "operatingsystem_id"=>"1"}
Authorized user admin(Admin User)
Unprocessable entity OsParameter (id: new):
  Value can't be blank

  Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout (1.3ms)
Completed 422 Unprocessable Entity in 359ms (Views: 2.5ms | ActiveRecord: 4.0ms)
(END)

Comment 2 Marek Hulan 2014-08-11 11:18:44 UTC
Fixed in https://github.com/theforeman/foreman-installer-staypuft/pull/70

We were trying to create parameter values even if they were empty. Foreman rejects empty strings as values.

Comment 5 Omri Hochman 2014-08-18 11:13:53 UTC
Verified rhel-osp-installer-0.1.10-2.el6ost.noarch.

Comment 6 errata-xmlrpc 2014-08-21 18:08:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.